Bug 844458 - GET of unknown user returns 500 (Internal Server Error)
GET of unknown user returns 500 (Internal Server Error)
Status: CLOSED UPSTREAM
Product: Katello
Classification: Community
Component: Webservice API (Show other bugs)
1.X
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Bryan Kearney
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 13:43 EDT by Brad P. Crochet
Modified: 2012-08-24 09:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-24 09:38:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad P. Crochet 2012-07-30 13:43:41 EDT
Description of problem:
Using the API:
curl -k -v https://admin:admin@katello/katello/api/users/1000

When user 1000 does not exist, returns a 500, instead of a 404 as expected. 

Version-Release number of selected component (if applicable):
katello-glue-foreman-0.1.318-1.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-0.1.112-1.el6cf.noarch
katello-glue-candlepin-0.1.318-1.el6cf.noarch
katello-agent-0.17-1.el6.noarch
katello-cli-common-0.1.112-1.el6cf.noarch
katello-certs-tools-1.0.7-1.el6_3.noarch
katello-selinux-0.1.10-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-glue-pulp-0.1.318-1.el6cf.noarch
katello-all-0.1.318-1.el6cf.noarch
katello-0.1.318-1.el6cf.noarch
katello-configure-0.1.111-1.el6cf.noarch
katello-common-0.1.318-1.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch


How reproducible:
Always

Steps to Reproduce:
1. Use above curl command
2.
3.
  
Actual results:
500 return

Expected results:
404 return
Comment 1 Pavel Pokorny 2012-08-02 09:17:31 EDT
Fixed in https://github.com/Katello/katello/pull/418

Note You need to log in before you can comment on or make changes to this bug.